# Class CodeQualityExtension

java.lang.Object
org.gradle.api.plugins.quality.CodeQualityExtension

Direct Known Subclasses:
  `CheckstyleExtension, CodeNarcExtension, FindBugsExtension, JDependExtension, PmdExtension`

public abstract class CodeQualityExtension extends Object
Base Code Quality Extension.

## Constructor Summary

Constructors
Constructor
Description
`CodeQualityExtension()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReportsDir()`
The directory where reports will be generated.
`Collection<SourceSet>`
`getSourceSets()`
The source sets to be analyzed as part of the `check` and `build` tasks.
`String`
`getToolVersion()`
The version of the code quality tool to be used.
`boolean`
`isIgnoreFailures()`
Whether to allow the build to continue if there are warnings.
`void`
`setIgnoreFailures(boolean ignoreFailures)`
Whether to allow the build to continue if there are warnings.
`void`
`setReportsDir(File reportsDir)`
The directory where reports will be generated.
`void`
`setSourceSets(Collection<SourceSet> sourceSets)`
The source sets to be analyzed as part of the `check` and `build` tasks.
`void`
`setToolVersion(String toolVersion)`
The version of the code quality tool to be used.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeQualityExtension

public CodeQualityExtension()

## Method Details

### getToolVersion

public String getToolVersion()
The version of the code quality tool to be used.

### setToolVersion

public void setToolVersion(String toolVersion)
The version of the code quality tool to be used.

### getSourceSets

public Collection<SourceSet> getSourceSets()
The source sets to be analyzed as part of the `check` and `build` tasks.

### setSourceSets

public void setSourceSets(Collection<SourceSet> sourceSets)
The source sets to be analyzed as part of the `check` and `build` tasks.

### isIgnoreFailures

public boolean isIgnoreFailures()
Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true

### setIgnoreFailures

public void setIgnoreFailures(boolean ignoreFailures)
Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true

### getReportsDir

public File getReportsDir()
The directory where reports will be generated.

### setReportsDir

public void setReportsDir(File reportsDir)
The directory where reports will be generated.